Subject: Re: [PATCH 0/5] Generic NVRAM support for large MMIO devices

From: Martyn Welch <[email-masked]>
Date: Fri, 24 Jul 2009 10:25:54 +0100

Benjamin Herrenschmidt wrote:
> On Thu, 2009-07-02 at 17:12 +0100, Martyn Welch wrote:
>   
>> The following series allows the generic NVRAM driver to access MMIO
>> based NVRAMs. In addition it enables support for NVRAMs of sizes
>> differing from those found on PowerPC Macs (providing a safe
>> fallback). Patches are also included to enable support for the NVRAM
>> found on the GE Fanuc PPC9A, SBC310 and SBC610.
>>
>> If this patch series is unsuitable this late in the day for 2.6.31,
>> please concider it for 2.6.32.
>>     
>
> No major issue with the series other than the change to the generic
> nvram code which needs to not break other architectures :-) Also,
> it will probably need to go through Andrew Morton, unless there's
> a maintainer for that driver, is there ?
>   
I'm not aware of a maintainer for the "generic nvram" driver. As 
mentioned in my other email, I'm fairly confident that this driver 
(/drivers/char/generic_nvram.c) is only used on PowerPC. I'm beginning 
to enter what is for me uncharted territory :-) How should I proceed? 
Are you happy to take the entire patch series, do I send the entire 
patch series to Andrew and LKML or just patch 2/5?

Martyn
> Once you sort out that aspect of the patch series, I'm happy to take
> the rest in powerpc.git
>
> Cheers,
> Ben.
>
>   

-- 
Martyn Welch MEng MPhil MIET (Principal Software Engineer)   T:+44(0)1327322748
GE Fanuc Intelligent Platforms Ltd,        |Registered in England and Wales
Tove Valley Business Park, Towcester,      |(3828642) at 100 Barbirolli Square,
Northants, NN12 6PF, UK T:+44(0)1327359444 |Manchester,M2 3AB  VAT:GB 927559189